_VehicleScoringInfoCapsule

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.ctdp.rfdynhud.gamedata
Class _VehicleScoringInfoCapsule

    java.lang.Object
      net.ctdp.rfdynhud.gamedata._VehicleScoringInfoCapsule

    public abstract class _VehicleScoringInfoCapsule

extends java.lang.Object

Author:
  Marvin Froehlich (CTDP)

Constructor Summary
`protected` | `_VehicleScoringInfoCapsule()`

Method Summary
`abstract boolean` | `equals(java.lang.Object o)`
`abstract float` | `getBestLapTime()`
`abstract float` | `getBestSector1()`
`abstract float` | `getBestSector2()`
`abstract byte[]` | `getBuffer()`
`abstract float` | `getCurrentSector1()`
`abstract float` | `getCurrentSector2()`
`abstract java.lang.String` | `getDriverName()`
`abstract FinishStatus` | `getFinishStatus()`
`abstract float` | `getLapDistance()`
`abstract int` | `getLapsBehindLeader()`
`abstract int` | `getLapsBehindNextInFront()`
`abstract short` | `getLapsCompleted()`
`abstract float` | `getLapStartTime()`
`abstract float` | `getLastLapTime()`
`abstract float` | `getLastSector1()`
`abstract float` | `getLastSector2()`
`abstract void` | `getLocalAcceleration(TelemVect3 localAccel)` acceleration (meters/sec^2) in local vehicle coordinates
`abstract void` | `getLocalRotation(TelemVect3 localRot)` rotation (radians/sec) in local vehicle coordinates
`abstract void` | `getLocalRotationalAcceleration(TelemVect3 localRotAccel)` rotational acceleration (radians/sec^2) in local vehicle coordinates
`abstract void` | `getLocalVelocity(TelemVect3 localVel)` velocity (meters/sec) in local vehicle coordinates
`abstract short` | `getNumOutstandingPenalties()`
`abstract short` | `getNumPitstopsMade()`
`abstract void` | `getOrientationX(TelemVect3 oriX)` top row of orientation matrix (also converts local vehicle vectors into world X using dot product)
`abstract void` | `getOrientationY(TelemVect3 oriY)` mid row of orientation matrix (also converts local vehicle vectors into world Y using dot product)
`abstract void` | `getOrientationZ(TelemVect3 oriZ)` bot row of orientation matrix (also converts local vehicle vectors into world Z using dot product)
`protected abstract java.lang.String` | `getOriginalName()`
`abstract float` | `getPathLateral()`
`abstract short` | `getPlace()`
`abstract float` | `getScalarVelocity()`
`abstract byte` | `getSector()`
`abstract float` | `getTimeBehindLeader()`
`abstract float` | `getTimeBehindNextInFront()`
`abstract float` | `getTrackEdge()`
`abstract java.lang.String` | `getVehicleClass()`
`abstract VehicleControl` | `getVehicleControl()`
`abstract java.lang.String` | `getVehicleName()`
`abstract void` | `getWorldPosition(TelemVect3 position)` world position in meters
`abstract float` | `getWorldPositionX()`
`abstract float` | `getWorldPositionY()`
`abstract float` | `getWorldPositionZ()`
`abstract int` | `hashCode()`
`abstract boolean` | `isInPits()` between pit entrance and pit exit (not always accurate for remote vehicles)
`abstract boolean` | `isPlayer()`
`abstract void` | `loadFromStream(java.io.InputStream in)`
`protected abstract int` | `postfixDriverName(java.lang.String postfix, int pos)`
`protected abstract java.lang.Integer` | `refreshID(boolean storeOriginalName)`
`protected abstract void` | `resetHash()`
`protected abstract void` | `setDriverName(java.lang.String drivername)`
`abstract void` | `writeToStream(java.io.OutputStream out)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### _VehicleScoringInfoCapsule

    protected _VehicleScoringInfoCapsule()

Method Detail

### getOriginalName

    protected abstract java.lang.String getOriginalName()

### resetHash

    protected abstract void resetHash()

### getBuffer

    public abstract byte[] getBuffer()

### refreshID

    protected abstract java.lang.Integer refreshID(boolean storeOriginalName)

### hashCode

    public abstract int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public abstract boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### loadFromStream

    public abstract void loadFromStream(java.io.InputStream in)
                                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeToStream

    public abstract void writeToStream(java.io.OutputStream out)
                                throws java.io.IOException

  Throws:
    `java.io.IOException`

### setDriverName

    protected abstract void setDriverName(java.lang.String drivername)

### postfixDriverName

    protected abstract int postfixDriverName(java.lang.String postfix,
                                             int pos)

### getDriverName

    public abstract java.lang.String getDriverName()

### getVehicleName

    public abstract java.lang.String getVehicleName()

  Returns:
    vehicle name

### getLapsCompleted

    public abstract short getLapsCompleted()

  Returns:
    laps completed

### getSector

    public abstract byte getSector()

  Returns:
    sector

### getFinishStatus

    public abstract FinishStatus getFinishStatus()

  Returns:
    finish status

### getLapDistance

    public abstract float getLapDistance()

  Returns:
    current distance around track

### getPathLateral

    public abstract float getPathLateral()

  Returns:
    lateral position with respect to *very approximate* "center" path

### getTrackEdge

    public abstract float getTrackEdge()

  Returns:
    track edge (w.r.t. "center" path) on same side of track as vehicle

### getBestSector1

    public abstract float getBestSector1()

  Returns:
    best sector 1

### getBestSector2

    public abstract float getBestSector2()

  Returns:
    best sector 2

### getBestLapTime

    public abstract float getBestLapTime()

  Returns:
    best lap time

### getLastSector1

    public abstract float getLastSector1()

  Returns:
    last sector 1

### getLastSector2

    public abstract float getLastSector2()

  Returns:
    last sector 2

### getLastLapTime

    public abstract float getLastLapTime()

  Returns:
    last lap time

### getCurrentSector1

    public abstract float getCurrentSector1()

  Returns:
    current sector 1 (if valid)

### getCurrentSector2

    public abstract float getCurrentSector2()

  Returns:
    current sector 2

### getNumPitstopsMade

    public abstract short getNumPitstopsMade()

  Returns:
    number of pitstops made

### getNumOutstandingPenalties

    public abstract short getNumOutstandingPenalties()

  Returns:
    number of outstanding penalties

### isPlayer

    public abstract boolean isPlayer()

  Returns:
    is this the player's vehicle?

### getVehicleControl

    public abstract VehicleControl getVehicleControl()

  Returns:
    who's in control?

### isInPits

    public abstract boolean isInPits()

  between pit entrance and pit exit (not always accurate for remote vehicles)

  Returns:
    is this vehicle in the pit lane?

### getPlace

    public abstract short getPlace()

  Returns:
    1-based position

### getVehicleClass

    public abstract java.lang.String getVehicleClass()

  Returns:
    vehicle class

### getTimeBehindNextInFront

    public abstract float getTimeBehindNextInFront()

  Returns:
    time behind vehicle in next higher place

### getLapsBehindNextInFront

    public abstract int getLapsBehindNextInFront()

  Returns:
    laps behind vehicle in next higher place

### getTimeBehindLeader

    public abstract float getTimeBehindLeader()

  Returns:
    time behind leader

### getLapsBehindLeader

    public abstract int getLapsBehindLeader()

  Returns:
    laps behind leader

### getLapStartTime

    public abstract float getLapStartTime()

  Returns:
    time this lap was started at

### getWorldPosition

    public abstract void getWorldPosition(TelemVect3 position)

  world position in meters

  Parameters:
    `position` - output buffer

### getWorldPositionX

    public abstract float getWorldPositionX()

  Returns:
    world position in meters

### getWorldPositionY

    public abstract float getWorldPositionY()

  Returns:
    world position in meters

### getWorldPositionZ

    public abstract float getWorldPositionZ()

  Returns:
    world position in meters

### getLocalVelocity

    public abstract void getLocalVelocity(TelemVect3 localVel)

  velocity (meters/sec) in local vehicle coordinates

  Parameters:
    `localVel` - output buffer

### getScalarVelocity

    public abstract float getScalarVelocity()

  Returns:
    velocity (meters/sec) in local vehicle coordinates

### getLocalAcceleration

    public abstract void getLocalAcceleration(TelemVect3 localAccel)

  acceleration (meters/sec^2) in local vehicle coordinates

  Parameters:
    `localAccel` - output buffer

### getOrientationX

    public abstract void getOrientationX(TelemVect3 oriX)

  top row of orientation matrix (also converts local vehicle vectors into world X using dot product)

  Parameters:
    `oriX` - output buffer

### getOrientationY

    public abstract void getOrientationY(TelemVect3 oriY)

  mid row of orientation matrix (also converts local vehicle vectors into world Y using dot product)

  Parameters:
    `oriY` - output buffer

### getOrientationZ

    public abstract void getOrientationZ(TelemVect3 oriZ)

  bot row of orientation matrix (also converts local vehicle vectors into world Z using dot product)

  Parameters:
    `oriZ` - output buffer

### getLocalRotation

    public abstract void getLocalRotation(TelemVect3 localRot)

  rotation (radians/sec) in local vehicle coordinates

  Parameters:
    `localRot` - output buffer

### getLocalRotationalAcceleration

    public abstract void getLocalRotationalAcceleration(TelemVect3 localRotAccel)

  rotational acceleration (radians/sec^2) in local vehicle coordinates

  Parameters:
    `localRotAccel` - output buffer

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD